Bug 523948 - VM cannot boot from the disk converted by qemu-img
VM cannot boot from the disk converted by qemu-img
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-17 06:54 EDT by Han Pingtian
Modified: 2009-09-24 04:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 04:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log files (2.19 KB, application/x-gzip)
2009-09-21 22:16 EDT, Han Pingtian
no flags Details

  None (edit)
Description Han Pingtian 2009-09-17 06:54:54 EDT
Description of problem:
I have a VM using raw file disk, it works fine. But it failed to boot from the converted qcow2 file disk."Boot failed: not a bootable disk".

Version-Release number of selected component (if applicable):
qemu-img-0.10.92-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1.cd /var/lib/libvirt/images
2.qemu-img convert -O qcow2 <original image> <new image name>
3.virsh pool-refresh default
4.virsh edit <vm name>
  
Actual results:


Expected results:


Additional info:
Comment 1 Han Pingtian 2009-09-18 05:14:53 EDT
qemu-img-0.10.92-4.fc12.x86_64 fails, too.
Comment 2 Mark McLoughlin 2009-09-21 09:45:05 EDT
Thanks for the report 

Could you include the guest XML config - i.e. virsh dumpxml <vm name>

This is libvirt-0.7.1-1.fc12, I assume

Also, please include the log file for the guest from /var/log/libvirt/qemu

http://fedoraproject.org/wiki/Reporting_virtualization_bugs
Comment 3 Han Pingtian 2009-09-21 22:16:27 EDT
Created attachment 362023 [details]
log files
Comment 4 Han Pingtian 2009-09-21 22:17:29 EDT
(In reply to comment #2)
> Thanks for the report 
> 
> Could you include the guest XML config - i.e. virsh dumpxml <vm name>
> 
> This is libvirt-0.7.1-1.fc12, I assume

No, this is libvirt-0.7.1-4.fc12.x86_64.

> 
> Also, please include the log file for the guest from /var/log/libvirt/qemu
> 
> http://fedoraproject.org/wiki/Reporting_virtualization_bugs
Comment 5 Mark McLoughlin 2009-09-23 11:36:55 EDT
Thanks

Okay, the XML contains:

    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/var/lib/libvirt/images/v1-qcow2.img'/>
      <target dev='vda' bus='virtio'/>
    </disk>

If you change it to:

    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/var/lib/libvirt/images/v1-qcow2.img'/>
      <target dev='vda' bus='virtio'/>
    </disk>

Does it work?

(Note, it's better to attach files as text/plain so people can look at them in their browser rather than having to download and unzip a tar file)
Comment 6 Han Pingtian 2009-09-23 22:38:16 EDT
oh, I didn't notice the driver type ... Yes, after this change, the VM works fine.

Sorry for the wrong bug report.
Comment 7 Mark McLoughlin 2009-09-24 04:15:16 EDT
Thanks for confirming han

Note You need to log in before you can comment on or make changes to this bug.